VOTEQUORUM_FINALIZE(3)

NAME
votequorum_finalize - Terminate a connection to the votequorum service

SYNOPSIS
#include <corosync/votequorum.h>

int votequorum_finalize(votequorum_handle_t handle);

DESCRIPTION
The votequorum_finalize function is used to close a connection to the configuration database API. Once the connection is finalized, the handle may not be used again by applications. No more callbacks will be dispatched from the votequorum_dispatch function.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable CS_ERR_INVALID_PARAM Invalid argument CS_ERR_ACCESS Permission denied CS_ERR_LIBRARY The connection failed CS_ERR_INTERRUPT System call interrupted by a signal CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported CS_ERR_MESSAGE_ERROR Incorrect auth message received CS_ERR_NO_MEMORY Not enough memory to complete the requested task

SEE ALSO
votequorum_overview(8), votequorum_initialize(3), votequorum_getinfo(3), votequorum_trackstart(3), votequorum_trackstop(3), votequorum_fd_get(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setexpected(3), votequorum_setvotes(3)